hwloc_obj_memory_s(3)

NAME
hwloc_obj_memory_s -

Object memory.

SYNOPSIS

#include <hwloc.h>

  Data Structures
struct hwloc_obj_memory_page_type_s
Array of local memory page types, NULL if no local memory and page_types is 0.

  Data Fields
uint64_t total_memory
Total memory (in bytes) in this object and its children.
uint64_t local_memory
Local memory (in bytes).
unsigned page_types_len
Size of array page_types.
struct hwloc_obj_memory_s::hwloc_obj_memory_page_type_s * page_types
Array of local memory page types, NULL if no local memory and page_types is 0.

Detailed Description

Object memory.

Field Documentation

  uint64_t hwloc_obj_memory_s::local_memory

Local memory (in bytes).

  struct hwloc_obj_memory_s::hwloc_obj_memory_page_type_s * hwloc_obj_memory_s::page_types

Array of local memory page types, NULL if no local memory and page_types is 0. The array is sorted by increasing size fields. It contains page_types_len slots.

  unsigned hwloc_obj_memory_s::page_types_len

Size of array page_types.

  uint64_t hwloc_obj_memory_s::total_memory

Total memory (in bytes) in this object and its children.

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.